diff --git a/doc/bashref.ps b/doc/bashref.ps
index f754613b..cd7e7a66 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0
 %%Creator: dvips(k) 5.994 Copyright 2014 Radical Eye Software
 %%Title: bashref.dvi
-%%CreationDate: Mon Apr  6 13:59:13 2015
+%%CreationDate: Fri Jul 10 10:23:13 2015
 %%Pages: 174
 %%PageOrder: Ascend
 %%BoundingBox: 0 0 612 792
@@ -12,7 +12,7 @@
 %DVIPSWebPage: (www.radicaleye.com)
 %DVIPSCommandLine: dvips -D 600 -t letter -o bashref.ps bashref.dvi
 %DVIPSParameters: dpi=600
-%DVIPSSource:  TeX output 2015.04.06:1359
+%DVIPSSource:  TeX output 2015.07.10:1023
 %%BeginProcSet: tex.pro 0 0
 %!
 /TeXDict 300 dict def TeXDict begin/N{def}def/B{bind def}N/S{exch}N/X{S
@@ -7514,7 +7514,7 @@ ifelse
 TeXDict begin 1 0 bop 150 1318 a Fv(Bash)64 b(Reference)j(Man)-5
 b(ual)p 150 1385 3600 34 v 2361 1481 a Fu(Reference)31
 b(Do)s(cumen)m(tation)i(for)d(Bash)2428 1589 y(Edition)h(4.4,)g(for)f
-Ft(Bash)g Fu(V)-8 b(ersion)31 b(4.4.)3333 1697 y(April)f(2015)150
+Ft(Bash)g Fu(V)-8 b(ersion)31 b(4.4.)3350 1697 y(June)e(2015)150
 4935 y Fs(Chet)45 b(Ramey)-11 b(,)46 b(Case)g(W)-11 b(estern)46
 b(Reserv)l(e)g(Univ)l(ersit)l(y)150 5068 y(Brian)f(F)-11
 b(o)l(x,)45 b(F)-11 b(ree)45 b(Soft)l(w)l(are)h(F)-11
@@ -7522,9 +7522,9 @@ b(oundation)p 150 5141 3600 17 v eop end
 %%Page: 2 2
 TeXDict begin 2 1 bop 150 4279 a Fu(This)35 b(text)h(is)g(a)g(brief)f
 (description)h(of)f(the)h(features)g(that)g(are)g(presen)m(t)g(in)f
-(the)h(Bash)f(shell)h(\(v)m(ersion)150 4389 y(4.4,)c(6)e(April)h
-(2015\).)150 4523 y(This)36 b(is)g(Edition)h(4.4,)j(last)d(up)s(dated)e
-(6)i(April)g(2015,)j(of)c Fr(The)h(GNU)g(Bash)g(Reference)g(Man)m(ual)p
+(the)h(Bash)f(shell)h(\(v)m(ersion)150 4389 y(4.4,)c(11)f(June)e
+(2015\).)150 4523 y(This)34 b(is)h(Edition)g(4.4,)i(last)e(up)s(dated)f
+(11)h(June)f(2015,)k(of)d Fr(The)f(GNU)i(Bash)f(Reference)g(Man)m(ual)p
 Fu(,)i(for)150 4633 y Ft(Bash)p Fu(,)29 b(V)-8 b(ersion)31
 b(4.4.)150 4767 y(Cop)m(yrigh)m(t)602 4764 y(c)577 4767
 y Fq(\015)f Fu(1988{2014)35 b(F)-8 b(ree)31 b(Soft)m(w)m(are)h(F)-8
@@ -10992,207 +10992,216 @@ f(to)i(in)m(terpret)f(the)h(script,)g(ev)m(en)g(if)f(it)h(is)f
 %%Page: 41 47
 TeXDict begin 41 46 bop 150 -116 a Fu(Chapter)30 b(4:)41
 b(Shell)30 b(Builtin)h(Commands)2069 b(41)150 299 y Fp(4)80
-b(Shell)53 b(Builtin)f(Commands)150 541 y Fu(Builtin)34
+b(Shell)53 b(Builtin)f(Commands)150 501 y Fu(Builtin)34
 b(commands)f(are)h(con)m(tained)g(within)f(the)h(shell)g(itself.)50
 b(When)34 b(the)f(name)h(of)f(a)h(builtin)f(com-)150
-651 y(mand)26 b(is)i(used)e(as)i(the)g(\014rst)e(w)m(ord)h(of)h(a)f
+611 y(mand)26 b(is)i(used)e(as)i(the)g(\014rst)e(w)m(ord)h(of)h(a)f
 (simple)h(command)f(\(see)h(Section)g(3.2.1)h([Simple)f(Commands],)150
-760 y(page)21 b(8\),)j(the)d(shell)g(executes)h(the)f(command)f
+720 y(page)21 b(8\),)j(the)d(shell)g(executes)h(the)f(command)f
 (directly)-8 b(,)24 b(without)d(in)m(v)m(oking)h(another)f(program.)37
-b(Builtin)150 870 y(commands)f(are)h(necessary)g(to)g(implemen)m(t)g
+b(Builtin)150 830 y(commands)f(are)h(necessary)g(to)g(implemen)m(t)g
 (functionalit)m(y)h(imp)s(ossible)e(or)h(incon)m(v)m(enien)m(t)h(to)f
-(obtain)150 979 y(with)30 b(separate)h(utilities.)275
-1117 y(This)c(section)j(brie\015y)e(describ)s(es)g(the)h(builtins)f
+(obtain)150 940 y(with)30 b(separate)h(utilities.)275
+1068 y(This)c(section)j(brie\015y)e(describ)s(es)g(the)h(builtins)f
 (whic)m(h)g(Bash)h(inherits)f(from)g(the)h(Bourne)g(Shell,)g(as)150
-1226 y(w)m(ell)i(as)g(the)g(builtin)e(commands)h(whic)m(h)h(are)f
+1177 y(w)m(ell)i(as)g(the)g(builtin)e(commands)h(whic)m(h)h(are)f
 (unique)g(to)h(or)f(ha)m(v)m(e)i(b)s(een)d(extended)i(in)f(Bash.)275
-1363 y(Sev)m(eral)45 b(builtin)e(commands)h(are)h(describ)s(ed)e(in)h
+1305 y(Sev)m(eral)45 b(builtin)e(commands)h(are)h(describ)s(ed)e(in)h
 (other)g(c)m(hapters:)69 b(builtin)43 b(commands)h(whic)m(h)150
-1473 y(pro)m(vide)23 b(the)h(Bash)f(in)m(terface)i(to)f(the)g(job)f
+1415 y(pro)m(vide)23 b(the)h(Bash)f(in)m(terface)i(to)f(the)g(job)f
 (con)m(trol)i(facilities)g(\(see)f(Section)h(7.2)f([Job)f(Con)m(trol)h
-(Builtins],)150 1583 y(page)40 b(98\),)j(the)c(directory)h(stac)m(k)g
+(Builtins],)150 1525 y(page)40 b(98\),)j(the)c(directory)h(stac)m(k)g
 (\(see)g(Section)g(6.8.1)h([Directory)g(Stac)m(k)f(Builtins],)i(page)e
-(91\),)j(the)150 1692 y(command)23 b(history)h(\(see)g(Section)g(9.2)h
+(91\),)j(the)150 1634 y(command)23 b(history)h(\(see)g(Section)g(9.2)h
 ([Bash)f(History)g(Builtins],)h(page)g(134\),)h(and)d(the)h
-(programmable)150 1802 y(completion)32 b(facilities)g(\(see)g(Section)f
+(programmable)150 1744 y(completion)32 b(facilities)g(\(see)g(Section)f
 (8.7)g([Programmable)g(Completion)g(Builtins],)g(page)h(128\).)275
-1939 y(Man)m(y)f(of)f(the)h(builtins)e(ha)m(v)m(e)j(b)s(een)e(extended)
-g(b)m(y)g Fm(posix)g Fu(or)g(Bash.)275 2076 y(Unless)39
+1872 y(Man)m(y)f(of)f(the)h(builtins)e(ha)m(v)m(e)j(b)s(een)e(extended)
+g(b)m(y)g Fm(posix)g Fu(or)g(Bash.)275 2000 y(Unless)39
 b(otherwise)h(noted,)i(eac)m(h)f(builtin)e(command)g(do)s(cumen)m(ted)g
-(as)h(accepting)h(options)f(pre-)150 2186 y(ceded)33
+(as)h(accepting)h(options)f(pre-)150 2110 y(ceded)33
 b(b)m(y)h(`)p Ft(-)p Fu(')f(accepts)i(`)p Ft(--)p Fu(')e(to)h(signify)f
 (the)h(end)e(of)i(the)f(options.)50 b(The)33 b Ft(:)p
 Fu(,)h Ft(true)p Fu(,)f Ft(false)p Fu(,)f(and)h Ft(test)150
-2295 y Fu(builtins)i(do)g(not)h(accept)g(options)g(and)f(do)g(not)h
+2219 y Fu(builtins)i(do)g(not)h(accept)g(options)g(and)f(do)g(not)h
 (treat)g(`)p Ft(--)p Fu(')f(sp)s(ecially)-8 b(.)57 b(The)35
 b Ft(exit)p Fu(,)h Ft(logout)p Fu(,)f Ft(break)p Fu(,)150
-2405 y Ft(continue)p Fu(,)29 b Ft(let)p Fu(,)i(and)g
+2329 y Ft(continue)p Fu(,)29 b Ft(let)p Fu(,)i(and)g
 Ft(shift)f Fu(builtins)g(accept)j(and)e(pro)s(cess)g(argumen)m(ts)g(b)s
-(eginning)g(with)g(`)p Ft(-)p Fu(')g(with-)150 2515 y(out)f(requiring)f
+(eginning)g(with)g(`)p Ft(-)p Fu(')g(with-)150 2439 y(out)f(requiring)f
 (`)p Ft(--)p Fu('.)41 b(Other)29 b(builtins)h(that)g(accept)h(argumen)m
 (ts)f(but)g(are)g(not)g(sp)s(eci\014ed)f(as)h(accepting)150
-2624 y(options)25 b(in)m(terpret)f(argumen)m(ts)h(b)s(eginning)e(with)h
+2548 y(options)25 b(in)m(terpret)f(argumen)m(ts)h(b)s(eginning)e(with)h
 (`)p Ft(-)p Fu(')h(as)f(in)m(v)-5 b(alid)25 b(options)g(and)e(require)h
-(`)p Ft(--)p Fu(')g(to)h(prev)m(en)m(t)150 2734 y(this)30
-b(in)m(terpretation.)150 2970 y Fs(4.1)68 b(Bourne)45
-b(Shell)g(Builtins)150 3130 y Fu(The)22 b(follo)m(wing)j(shell)d
+(`)p Ft(--)p Fu(')g(to)h(prev)m(en)m(t)150 2658 y(this)30
+b(in)m(terpretation.)150 2877 y Fs(4.1)68 b(Bourne)45
+b(Shell)g(Builtins)150 3037 y Fu(The)22 b(follo)m(wing)j(shell)d
 (builtin)h(commands)f(are)h(inherited)g(from)f(the)h(Bourne)g(Shell.)38
-b(These)22 b(commands)150 3239 y(are)31 b(implemen)m(ted)g(as)f(sp)s
+b(These)22 b(commands)150 3146 y(are)31 b(implemen)m(ted)g(as)f(sp)s
 (eci\014ed)g(b)m(y)g(the)h Fm(posix)e Fu(standard.)150
-3403 y Ft(:)h Fu(\(a)h(colon\))870 3512 y Ft(:)47 b([)p
-Fj(arguments)p Ft(])630 3648 y Fu(Do)c(nothing)f(b)s(ey)m(ond)g
+3293 y Ft(:)h Fu(\(a)h(colon\))870 3403 y Ft(:)47 b([)p
+Fj(arguments)p Ft(])630 3531 y Fu(Do)c(nothing)f(b)s(ey)m(ond)g
 (expanding)f Fr(argumen)m(ts)46 b Fu(and)c(p)s(erforming)f
-(redirections.)76 b(The)630 3758 y(return)29 b(status)i(is)f(zero.)150
-3920 y Ft(.)g Fu(\(a)h(p)s(erio)s(d\))870 4029 y Ft(.)47
-b Fj(filename)f Ft([)p Fj(arguments)p Ft(])630 4165 y
+(redirections.)76 b(The)630 3640 y(return)29 b(status)i(is)f(zero.)150
+3787 y Ft(.)g Fu(\(a)h(p)s(erio)s(d\))870 3897 y Ft(.)47
+b Fj(filename)f Ft([)p Fj(arguments)p Ft(])630 4025 y
 Fu(Read)34 b(and)f(execute)i(commands)e(from)g(the)h
 Fr(\014lename)39 b Fu(argumen)m(t)34 b(in)f(the)h(curren)m(t)g(shell)
-630 4275 y(con)m(text.)45 b(If)31 b Fr(\014lename)37
+630 4134 y(con)m(text.)45 b(If)31 b Fr(\014lename)37
 b Fu(do)s(es)31 b(not)g(con)m(tain)i(a)e(slash,)h(the)g
 Ft(PATH)e Fu(v)-5 b(ariable)32 b(is)f(used)f(to)i(\014nd)630
-4384 y Fr(\014lename)p Fu(.)52 b(When)34 b(Bash)g(is)h(not)f(in)g
+4244 y Fr(\014lename)p Fu(.)52 b(When)34 b(Bash)g(is)h(not)f(in)g
 Fm(posix)f Fu(mo)s(de,)i(the)g(curren)m(t)f(directory)g(is)g(searc)m
-(hed)630 4494 y(if)d Fr(\014lename)36 b Fu(is)31 b(not)h(found)d(in)i
+(hed)630 4354 y(if)d Fr(\014lename)36 b Fu(is)31 b(not)h(found)d(in)i
 Ft($PATH)p Fu(.)41 b(If)31 b(an)m(y)g Fr(argumen)m(ts)k
-Fu(are)c(supplied,)f(they)i(b)s(ecome)630 4604 y(the)e(p)s(ositional)h
+Fu(are)c(supplied,)f(they)i(b)s(ecome)630 4463 y(the)e(p)s(ositional)h
 (parameters)g(when)e Fr(\014lename)35 b Fu(is)30 b(executed.)42
-b(Otherwise)30 b(the)g(p)s(ositional)630 4713 y(parameters)43
-b(are)h(unc)m(hanged.)79 b(The)42 b(return)g(status)i(is)f(the)g(exit)h
-(status)g(of)f(the)g(last)630 4823 y(command)37 b(executed,)k(or)c
-(zero)h(if)g(no)f(commands)g(are)h(executed.)63 b(If)36
-b Fr(\014lename)43 b Fu(is)38 b(not)630 4932 y(found,)22
-b(or)f(cannot)g(b)s(e)f(read,)j(the)e(return)f(status)h(is)g(non-zero.)
-38 b(This)20 b(builtin)h(is)f(equiv)-5 b(alen)m(t)630
-5042 y(to)31 b Ft(source)p Fu(.)150 5204 y Ft(break)870
-5340 y(break)46 b([)p Fj(n)p Ft(])p eop end
+b(Otherwise)30 b(the)g(p)s(ositional)630 4573 y(parameters)40
+b(are)f(unc)m(hanged.)67 b(If)39 b(the)g Ft(-T)g Fu(option)g(is)h
+(enabled,)h Ft(source)d Fu(inherits)h(an)m(y)630 4682
+y(trap)31 b(on)g Ft(DEBUG)p Fu(;)f(if)i(it)f(is)g(not,)h(an)m(y)g
+Ft(DEBUG)e Fu(trap)h(string)g(is)g(sa)m(v)m(ed)h(and)f(restored)g
+(around)630 4792 y(the)41 b(call)i(to)e Ft(source)p Fu(,)i(and)d
+Ft(source)f Fu(unsets)i(the)g Ft(DEBUG)f Fu(trap)h(while)g(it)g
+(executes.)74 b(If)630 4902 y Ft(-T)39 b Fu(is)g(not)h(set,)j(and)c
+(the)g(sourced)h(\014le)f(c)m(hanges)i(the)e Ft(DEBUG)f
+Fu(trap,)k(the)e(new)f(v)-5 b(alue)40 b(is)630 5011 y(retained)e(when)e
+Ft(source)g Fu(completes.)63 b(The)37 b(return)f(status)h(is)h(the)f
+(exit)i(status)e(of)h(the)630 5121 y(last)g(command)e(executed,)j(or)e
+(zero)h(if)e(no)h(commands)f(are)h(executed.)61 b(If)36
+b Fr(\014lename)42 b Fu(is)630 5230 y(not)f(found,)h(or)e(cannot)h(b)s
+(e)f(read,)j(the)e(return)e(status)i(is)g(non-zero.)71
+b(This)40 b(builtin)g(is)630 5340 y(equiv)-5 b(alen)m(t)32
+b(to)f Ft(source)p Fu(.)p eop end
 %%Page: 42 48
 TeXDict begin 42 47 bop 150 -116 a Fu(Chapter)30 b(4:)41
-b(Shell)30 b(Builtin)h(Commands)2069 b(42)630 299 y(Exit)45
-b(from)f(a)g Ft(for)p Fu(,)k Ft(while)p Fu(,)e Ft(until)p
-Fu(,)h(or)d Ft(select)f Fu(lo)s(op.)83 b(If)44 b Fr(n)g
-Fu(is)g(supplied,)j(the)e Fr(n)p Fu(th)630 408 y(enclosing)c(lo)s(op)f
-(is)h(exited.)70 b Fr(n)40 b Fu(m)m(ust)g(b)s(e)f(greater)j(than)d(or)i
-(equal)f(to)h(1.)70 b(The)40 b(return)630 518 y(status)31
-b(is)f(zero)h(unless)f Fr(n)g Fu(is)g(not)h(greater)g(than)g(or)f
-(equal)h(to)g(1.)150 677 y Ft(cd)870 812 y(cd)47 b([-L|[-P)f([-e]])g
-([-@])h([)p Fj(directory)p Ft(])630 946 y Fu(Change)27
-b(the)g(curren)m(t)f(w)m(orking)h(directory)g(to)h Fr(directory)p
-Fu(.)40 b(If)26 b Fr(directory)35 b Fu(is)27 b(not)g(supplied,)630
-1056 y(the)f(v)-5 b(alue)26 b(of)f(the)h Ft(HOME)e Fu(shell)i(v)-5
+b(Shell)30 b(Builtin)h(Commands)2069 b(42)150 299 y Ft(break)870
+428 y(break)46 b([)p Fj(n)p Ft(])630 558 y Fu(Exit)f(from)f(a)g
+Ft(for)p Fu(,)k Ft(while)p Fu(,)e Ft(until)p Fu(,)h(or)d
+Ft(select)f Fu(lo)s(op.)83 b(If)44 b Fr(n)g Fu(is)g(supplied,)j(the)e
+Fr(n)p Fu(th)630 667 y(enclosing)c(lo)s(op)f(is)h(exited.)70
+b Fr(n)40 b Fu(m)m(ust)g(b)s(e)f(greater)j(than)d(or)i(equal)f(to)h(1.)
+70 b(The)40 b(return)630 777 y(status)31 b(is)f(zero)h(unless)f
+Fr(n)g Fu(is)g(not)h(greater)g(than)g(or)f(equal)h(to)g(1.)150
+927 y Ft(cd)870 1056 y(cd)47 b([-L|[-P)f([-e]])g([-@])h([)p
+Fj(directory)p Ft(])630 1186 y Fu(Change)27 b(the)g(curren)m(t)f(w)m
+(orking)h(directory)g(to)h Fr(directory)p Fu(.)40 b(If)26
+b Fr(directory)35 b Fu(is)27 b(not)g(supplied,)630 1295
+y(the)f(v)-5 b(alue)26 b(of)f(the)h Ft(HOME)e Fu(shell)i(v)-5
 b(ariable)26 b(is)g(used.)38 b(An)m(y)25 b(additional)i(argumen)m(ts)e
-(follo)m(wing)630 1166 y Fr(directory)39 b Fu(are)31
+(follo)m(wing)630 1405 y Fr(directory)39 b Fu(are)31
 b(ignored.)41 b(If)30 b(the)h(shell)g(v)-5 b(ariable)31
 b Ft(CDPATH)e Fu(exists,)i(it)g(is)g(used)f(as)g(a)h(searc)m(h)630
-1275 y(path:)39 b(eac)m(h)29 b(directory)g(name)f(in)f
+1514 y(path:)39 b(eac)m(h)29 b(directory)g(name)f(in)f
 Ft(CDPATH)g Fu(is)h(searc)m(hed)g(for)g Fr(directory)p
-Fu(,)h(with)f(alternativ)m(e)630 1385 y(directory)j(names)g(in)f
+Fu(,)h(with)f(alternativ)m(e)630 1624 y(directory)j(names)g(in)f
 Ft(CDPATH)f Fu(separated)j(b)m(y)e(a)h(colon)h(\(`)p
 Ft(:)p Fu('\).)43 b(If)30 b Fr(directory)39 b Fu(b)s(egins)30
-b(with)630 1494 y(a)h(slash,)f Ft(CDPATH)f Fu(is)h(not)h(used.)630
-1629 y(The)g Ft(-P)h Fu(option)g(means)g(to)h(not)f(follo)m(w)h(sym)m
+b(with)630 1733 y(a)h(slash,)f Ft(CDPATH)f Fu(is)h(not)h(used.)630
+1863 y(The)g Ft(-P)h Fu(option)g(means)g(to)h(not)f(follo)m(w)h(sym)m
 (b)s(olic)g(links:)44 b(sym)m(b)s(olic)32 b(links)g(are)g(resolv)m(ed)
-630 1738 y(while)41 b Ft(cd)f Fu(is)h(tra)m(v)m(ersing)h
+630 1973 y(while)41 b Ft(cd)f Fu(is)h(tra)m(v)m(ersing)h
 Fr(directory)49 b Fu(and)40 b(b)s(efore)g(pro)s(cessing)h(an)f
-(instance)i(of)f(`)p Ft(..)p Fu(')f(in)630 1848 y Fr(directory)p
-Fu(.)630 1983 y(By)34 b(default,)h(or)e(when)g(the)g
+(instance)i(of)f(`)p Ft(..)p Fu(')f(in)630 2082 y Fr(directory)p
+Fu(.)630 2212 y(By)34 b(default,)h(or)e(when)g(the)g
 Ft(-L)g Fu(option)h(is)g(supplied,)f(sym)m(b)s(olic)h(links)f(in)h
-Fr(directory)42 b Fu(are)630 2092 y(resolv)m(ed)31 b(after)g
+Fr(directory)42 b Fu(are)630 2321 y(resolv)m(ed)31 b(after)g
 Ft(cd)f Fu(pro)s(cesses)g(an)g(instance)h(of)g(`)p Ft(..)p
-Fu(')f(in)g Fr(directory)p Fu(.)630 2227 y(If)35 b(`)p
+Fu(')f(in)g Fr(directory)p Fu(.)630 2451 y(If)35 b(`)p
 Ft(..)p Fu(')f(app)s(ears)h(in)f Fr(directory)p Fu(,)j(it)f(is)f(pro)s
 (cessed)f(b)m(y)h(remo)m(ving)h(the)f(immediately)h(pre-)630
-2336 y(ceding)31 b(pathname)f(comp)s(onen)m(t,)h(bac)m(k)g(to)g(a)g
+2560 y(ceding)31 b(pathname)f(comp)s(onen)m(t,)h(bac)m(k)g(to)g(a)g
 (slash)f(or)h(the)f(b)s(eginning)g(of)g Fr(directory)p
-Fu(.)630 2471 y(If)i(the)i Ft(-e)e Fu(option)h(is)g(supplied)f(with)g
+Fu(.)630 2690 y(If)i(the)i Ft(-e)e Fu(option)h(is)g(supplied)f(with)g
 Ft(-P)h Fu(and)f(the)h(curren)m(t)g(w)m(orking)g(directory)g(cannot)630
-2580 y(b)s(e)k(successfully)g(determined)g(after)i(a)e(successful)h
+2800 y(b)s(e)k(successfully)g(determined)g(after)i(a)e(successful)h
 (directory)g(c)m(hange,)i Ft(cd)d Fu(will)h(return)630
-2690 y(an)30 b(unsuccessful)f(status.)630 2824 y(On)41
+2909 y(an)30 b(unsuccessful)f(status.)630 3039 y(On)41
 b(systems)h(that)h(supp)s(ort)d(it,)46 b(the)c Ft(-@)g
 Fu(option)g(presen)m(ts)g(the)g(extended)g(attributes)630
-2934 y(asso)s(ciated)32 b(with)e(a)h(\014le)f(as)h(a)f(directory)-8
-b(.)630 3068 y(If)41 b Fr(directory)49 b Fu(is)41 b(`)p
+3148 y(asso)s(ciated)32 b(with)e(a)h(\014le)f(as)h(a)f(directory)-8
+b(.)630 3278 y(If)41 b Fr(directory)49 b Fu(is)41 b(`)p
 Ft(-)p Fu(',)j(it)e(is)f(con)m(v)m(erted)h(to)g Ft($OLDPWD)d
-Fu(b)s(efore)i(the)g(directory)h(c)m(hange)g(is)630 3178
-y(attempted.)630 3313 y(If)33 b(a)h(non-empt)m(y)g(directory)g(name)f
+Fu(b)s(efore)i(the)g(directory)h(c)m(hange)g(is)630 3387
+y(attempted.)630 3517 y(If)33 b(a)h(non-empt)m(y)g(directory)g(name)f
 (from)g Ft(CDPATH)f Fu(is)h(used,)h(or)g(if)f(`)p Ft(-)p
-Fu(')h(is)f(the)h(\014rst)f(argu-)630 3422 y(men)m(t,)28
+Fu(')h(is)f(the)h(\014rst)f(argu-)630 3626 y(men)m(t,)28
 b(and)e(the)h(directory)g(c)m(hange)h(is)f(successful,)h(the)f
-(absolute)g(pathname)g(of)f(the)h(new)630 3532 y(w)m(orking)k
+(absolute)g(pathname)g(of)f(the)h(new)630 3736 y(w)m(orking)k
 (directory)g(is)f(written)g(to)i(the)e(standard)g(output.)630
-3666 y(The)f(return)g(status)h(is)f(zero)i(if)e(the)h(directory)g(is)g
-(successfully)g(c)m(hanged,)g(non-zero)g(oth-)630 3776
-y(erwise.)150 3935 y Ft(continue)870 4070 y(continue)46
-b([)p Fj(n)p Ft(])630 4204 y Fu(Resume)32 b(the)g(next)g(iteration)i
+3866 y(The)f(return)g(status)h(is)f(zero)i(if)e(the)h(directory)g(is)g
+(successfully)g(c)m(hanged,)g(non-zero)g(oth-)630 3975
+y(erwise.)150 4125 y Ft(continue)870 4254 y(continue)46
+b([)p Fj(n)p Ft(])630 4384 y Fu(Resume)32 b(the)g(next)g(iteration)i
 (of)e(an)g(enclosing)h Ft(for)p Fu(,)f Ft(while)p Fu(,)f
-Ft(until)p Fu(,)g(or)h Ft(select)f Fu(lo)s(op.)630 4314
+Ft(until)p Fu(,)g(or)h Ft(select)f Fu(lo)s(op.)630 4493
 y(If)f Fr(n)h Fu(is)g(supplied,)e(the)j(execution)g(of)f(the)g
 Fr(n)p Fu(th)f(enclosing)i(lo)s(op)f(is)f(resumed.)42
-b Fr(n)30 b Fu(m)m(ust)h(b)s(e)630 4423 y(greater)39
+b Fr(n)30 b Fu(m)m(ust)h(b)s(e)630 4603 y(greater)39
 b(than)f(or)g(equal)g(to)h(1.)63 b(The)38 b(return)e(status)j(is)e
-(zero)i(unless)e Fr(n)h Fu(is)g(not)g(greater)630 4533
-y(than)30 b(or)g(equal)h(to)g(1.)150 4692 y Ft(eval)870
-4827 y(eval)47 b([)p Fj(arguments)p Ft(])630 4961 y Fu(The)25
+(zero)i(unless)e Fr(n)h Fu(is)g(not)g(greater)630 4712
+y(than)30 b(or)g(equal)h(to)g(1.)150 4862 y Ft(eval)870
+4991 y(eval)47 b([)p Fj(arguments)p Ft(])630 5121 y Fu(The)25
 b(argumen)m(ts)h(are)g(concatenated)i(together)f(in)m(to)f(a)g(single)h
-(command,)f(whic)m(h)g(is)f(then)630 5071 y(read)35 b(and)g(executed,)j
+(command,)f(whic)m(h)g(is)f(then)630 5230 y(read)35 b(and)g(executed,)j
 (and)d(its)h(exit)g(status)g(returned)e(as)h(the)h(exit)g(status)g(of)g
-Ft(eval)p Fu(.)54 b(If)630 5181 y(there)31 b(are)f(no)h(argumen)m(ts)f
+Ft(eval)p Fu(.)54 b(If)630 5340 y(there)31 b(are)f(no)h(argumen)m(ts)f
 (or)h(only)f(empt)m(y)h(argumen)m(ts,)g(the)f(return)g(status)g(is)h
-(zero.)150 5340 y Ft(exec)p eop end
+(zero.)p eop end
 %%Page: 43 49
 TeXDict begin 43 48 bop 150 -116 a Fu(Chapter)30 b(4:)h(Shell)f
-(Builtin)h(Commands)2079 b(43)870 299 y Ft(exec)47 b([-cl])f([-a)h
-Fj(name)p Ft(])f([)p Fj(command)g Ft([)p Fj(arguments)p
-Ft(]])630 440 y Fu(If)36 b Fr(command)k Fu(is)c(supplied,)h(it)g
-(replaces)h(the)e(shell)h(without)f(creating)i(a)f(new)f(pro)s(cess.)
-630 549 y(If)k(the)h Ft(-l)e Fu(option)i(is)g(supplied,)h(the)e(shell)h
-(places)g(a)g(dash)f(at)h(the)f(b)s(eginning)g(of)h(the)630
-659 y(zeroth)36 b(argumen)m(t)h(passed)e(to)h Fr(command)p
-Fu(.)57 b(This)35 b(is)h(what)f(the)h Ft(login)e Fu(program)i(do)s(es.)
-630 769 y(The)i Ft(-c)g Fu(option)g(causes)h Fr(command)j
-Fu(to)d(b)s(e)f(executed)h(with)f(an)g(empt)m(y)h(en)m(vironmen)m(t.)
-630 878 y(If)c Ft(-a)g Fu(is)h(supplied,)f(the)h(shell)g(passes)f
-Fr(name)41 b Fu(as)36 b(the)f(zeroth)i(argumen)m(t)f(to)g
-Fr(command)p Fu(.)630 988 y(If)c Fr(command)j Fu(cannot)e(b)s(e)f
+(Builtin)h(Commands)2079 b(43)150 299 y Ft(exec)870 430
+y(exec)47 b([-cl])f([-a)h Fj(name)p Ft(])f([)p Fj(command)g
+Ft([)p Fj(arguments)p Ft(]])630 562 y Fu(If)36 b Fr(command)k
+Fu(is)c(supplied,)h(it)g(replaces)h(the)e(shell)h(without)f(creating)i
+(a)f(new)f(pro)s(cess.)630 671 y(If)k(the)h Ft(-l)e Fu(option)i(is)g
+(supplied,)h(the)e(shell)h(places)g(a)g(dash)f(at)h(the)f(b)s(eginning)
+g(of)h(the)630 781 y(zeroth)36 b(argumen)m(t)h(passed)e(to)h
+Fr(command)p Fu(.)57 b(This)35 b(is)h(what)f(the)h Ft(login)e
+Fu(program)i(do)s(es.)630 891 y(The)i Ft(-c)g Fu(option)g(causes)h
+Fr(command)j Fu(to)d(b)s(e)f(executed)h(with)f(an)g(empt)m(y)h(en)m
+(vironmen)m(t.)630 1000 y(If)c Ft(-a)g Fu(is)h(supplied,)f(the)h(shell)
+g(passes)f Fr(name)41 b Fu(as)36 b(the)f(zeroth)i(argumen)m(t)f(to)g
+Fr(command)p Fu(.)630 1110 y(If)c Fr(command)j Fu(cannot)e(b)s(e)f
 (executed)h(for)f(some)g(reason,)h(a)g(non-in)m(teractiv)m(e)i(shell)d
-(exits,)630 1097 y(unless)27 b(the)g Ft(execfail)e Fu(shell)i(option)h
+(exits,)630 1219 y(unless)27 b(the)g Ft(execfail)e Fu(shell)i(option)h
 (is)f(enabled.)40 b(In)27 b(that)g(case,)j(it)d(returns)f(failure.)40
-b(An)630 1207 y(in)m(teractiv)m(e)d(shell)c(returns)g(failure)h(if)f
+b(An)630 1329 y(in)m(teractiv)m(e)d(shell)c(returns)g(failure)h(if)f
 (the)h(\014le)g(cannot)g(b)s(e)f(executed.)52 b(If)33
-b(no)h Fr(command)630 1316 y Fu(is)27 b(sp)s(eci\014ed,)g(redirections)
+b(no)h Fr(command)630 1439 y Fu(is)27 b(sp)s(eci\014ed,)g(redirections)
 h(ma)m(y)f(b)s(e)g(used)f(to)i(a\013ect)g(the)f(curren)m(t)g(shell)g
-(en)m(vironmen)m(t.)40 b(If)630 1426 y(there)34 b(are)h(no)f
+(en)m(vironmen)m(t.)40 b(If)630 1548 y(there)34 b(are)h(no)f
 (redirection)h(errors,)g(the)f(return)f(status)i(is)f(zero;)j
-(otherwise)e(the)f(return)630 1536 y(status)d(is)f(non-zero.)150
-1708 y Ft(exit)870 1849 y(exit)47 b([)p Fj(n)p Ft(])630
-1990 y Fu(Exit)30 b(the)g(shell,)h(returning)d(a)j(status)f(of)g
+(otherwise)e(the)f(return)630 1658 y(status)d(is)f(non-zero.)150
+1811 y Ft(exit)870 1943 y(exit)47 b([)p Fj(n)p Ft(])630
+2074 y Fu(Exit)30 b(the)g(shell,)h(returning)d(a)j(status)f(of)g
 Fr(n)f Fu(to)h(the)g(shell's)g(paren)m(t.)41 b(If)30
-b Fr(n)f Fu(is)h(omitted,)h(the)630 2099 y(exit)c(status)g(is)g(that)g
+b Fr(n)f Fu(is)h(omitted,)h(the)630 2184 y(exit)c(status)g(is)g(that)g
 (of)g(the)g(last)g(command)f(executed.)41 b(An)m(y)26
-b(trap)h(on)f Ft(EXIT)f Fu(is)i(executed)630 2209 y(b)s(efore)j(the)h
-(shell)f(terminates.)150 2381 y Ft(export)870 2522 y(export)46
+b(trap)h(on)f Ft(EXIT)f Fu(is)i(executed)630 2293 y(b)s(efore)j(the)h
+(shell)f(terminates.)150 2447 y Ft(export)870 2578 y(export)46
 b([-fn])g([-p])h([)p Fj(name)p Ft([=)p Fj(value)p Ft(]])630
-2663 y Fu(Mark)40 b(eac)m(h)h Fr(name)k Fu(to)40 b(b)s(e)f(passed)g(to)
+2710 y Fu(Mark)40 b(eac)m(h)h Fr(name)k Fu(to)40 b(b)s(e)f(passed)g(to)
 i(c)m(hild)f(pro)s(cesses)f(in)g(the)h(en)m(vironmen)m(t.)70
-b(If)39 b(the)630 2772 y Ft(-f)33 b Fu(option)h(is)g(supplied,)f(the)h
+b(If)39 b(the)630 2819 y Ft(-f)33 b Fu(option)h(is)g(supplied,)f(the)h
 Fr(name)5 b Fu(s)33 b(refer)g(to)i(shell)e(functions;)i(otherwise)f
-(the)g(names)630 2882 y(refer)c(to)h(shell)g(v)-5 b(ariables.)41
+(the)g(names)630 2929 y(refer)c(to)h(shell)g(v)-5 b(ariables.)41
 b(The)30 b Ft(-n)f Fu(option)i(means)f(to)h(no)f(longer)h(mark)f(eac)m
-(h)i Fr(name)j Fu(for)630 2992 y(exp)s(ort.)52 b(If)33
+(h)i Fr(name)j Fu(for)630 3039 y(exp)s(ort.)52 b(If)33
 b(no)h Fr(names)k Fu(are)c(supplied,)g(or)g(if)g(the)g
 Ft(-p)g Fu(option)g(is)g(giv)m(en,)j(a)d(list)h(of)f(names)630
-3101 y(of)d(all)h(exp)s(orted)e(v)-5 b(ariables)31 b(is)g(displa)m(y)m
+3148 y(of)d(all)h(exp)s(orted)e(v)-5 b(ariables)31 b(is)g(displa)m(y)m
 (ed.)43 b(The)30 b Ft(-p)g Fu(option)i(displa)m(ys)e(output)h(in)f(a)h
-(form)630 3211 y(that)25 b(ma)m(y)g(b)s(e)f(reused)g(as)h(input.)38
+(form)630 3258 y(that)25 b(ma)m(y)g(b)s(e)f(reused)g(as)h(input.)38
 b(If)24 b(a)h(v)-5 b(ariable)25 b(name)g(is)g(follo)m(w)m(ed)h(b)m(y)e
 (=)p Fr(v)-5 b(alue)p Fu(,)27 b(the)d(v)-5 b(alue)630
-3320 y(of)31 b(the)f(v)-5 b(ariable)31 b(is)g(set)g(to)g
-Fr(v)-5 b(alue)p Fu(.)630 3461 y(The)29 b(return)e(status)j(is)f(zero)h
+3367 y(of)31 b(the)f(v)-5 b(ariable)31 b(is)g(set)g(to)g
+Fr(v)-5 b(alue)p Fu(.)630 3499 y(The)29 b(return)e(status)j(is)f(zero)h
 (unless)e(an)h(in)m(v)-5 b(alid)29 b(option)h(is)f(supplied,)f(one)i
-(of)f(the)g(names)630 3571 y(is)k(not)g(a)h(v)-5 b(alid)33
+(of)f(the)g(names)630 3608 y(is)k(not)g(a)h(v)-5 b(alid)33
 b(shell)h(v)-5 b(ariable)33 b(name,)i(or)e Ft(-f)f Fu(is)h(supplied)f
-(with)h(a)g(name)g(that)h(is)f(not)h(a)630 3680 y(shell)d(function.)150
-3853 y Ft(getopts)870 3994 y(getopts)46 b Fj(optstring)f(name)i
+(with)h(a)g(name)g(that)h(is)f(not)h(a)630 3718 y(shell)d(function.)150
+3871 y Ft(getopts)870 4003 y(getopts)46 b Fj(optstring)f(name)i
 Ft([)p Fj(args)p Ft(])630 4134 y(getopts)28 b Fu(is)i(used)g(b)m(y)g
 (shell)g(scripts)g(to)g(parse)g(p)s(ositional)h(parameters.)41
 b Fr(optstring)d Fu(con-)630 4244 y(tains)k(the)g(option)f(c)m
@@ -12121,11 +12130,11 @@ Ft(\\)p Fu(')e(ma)m(y)630 4292 y(b)s(e)28 b(used)g(to)i(remo)m(v)m(e)g
 (read)f(and)f(for)h(line)630 4402 y(con)m(tin)m(uation.)42
 b(If)27 b(no)h(names)f(are)h(supplied,)g(the)f(line)h(read)g(is)g
 (assigned)g(to)g(the)g(v)-5 b(ariable)630 4511 y Ft(REPLY)p
-Fu(.)37 b(The)23 b(return)f(co)s(de)h(is)g(zero,)j(unless)d
-(end-of-\014le)g(is)h(encoun)m(tered,)h Ft(read)d Fu(times)i(out)630
-4621 y(\(in)k(whic)m(h)f(case)i(the)e(return)g(co)s(de)h(is)f(greater)i
-(than)f(128\),)i(a)e(v)-5 b(ariable)28 b(assignmen)m(t)g(error)630
-4730 y(\(suc)m(h)g(as)h(assigning)g(to)g(a)f(readonly)h(v)-5
+Fu(.)67 b(The)39 b(exit)h(status)g(is)f(zero,)k(unless)c(end-of-\014le)
+h(is)g(encoun)m(tered,)i Ft(read)c Fu(times)630 4621
+y(out)32 b(\(in)g(whic)m(h)g(case)h(the)f(status)h(is)f(greater)h(than)
+f(128\),)i(a)f(v)-5 b(ariable)32 b(assignmen)m(t)h(error)630
+4730 y(\(suc)m(h)28 b(as)h(assigning)g(to)g(a)f(readonly)h(v)-5
 b(ariable\))29 b(o)s(ccurs,)g(or)f(an)g(in)m(v)-5 b(alid)29
 b(\014le)g(descriptor)f(is)630 4840 y(supplied)h(as)i(the)f(argumen)m
 (t)h(to)g Ft(-u)p Fu(.)630 4970 y(Options,)f(if)h(supplied,)e(ha)m(v)m
@@ -12277,64 +12286,67 @@ eop end
 TeXDict begin 58 63 bop 150 -116 a Fu(Chapter)30 b(4:)41
 b(Shell)30 b(Builtin)h(Commands)2069 b(58)630 299 y Ft(-d)384
 b Fu(The)30 b(maxim)m(um)g(size)h(of)g(a)g(pro)s(cess's)f(data)h
-(segmen)m(t.)630 455 y Ft(-e)384 b Fu(The)30 b(maxim)m(um)g(sc)m
+(segmen)m(t.)630 450 y Ft(-e)384 b Fu(The)30 b(maxim)m(um)g(sc)m
 (heduling)h(priorit)m(y)f(\()p Ft(")p Fu(nice)p Ft(")p
-Fu(\).)630 612 y Ft(-f)384 b Fu(The)30 b(maxim)m(um)g(size)h(of)g
+Fu(\).)630 601 y Ft(-f)384 b Fu(The)30 b(maxim)m(um)g(size)h(of)g
 (\014les)f(written)h(b)m(y)f(the)g(shell)h(and)f(its)h(c)m(hildren.)630
-769 y Ft(-i)384 b Fu(The)30 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i(p)s
-(ending)e(signals.)630 925 y Ft(-k)384 b Fu(The)30 b(maxim)m(um)g(n)m
+753 y Ft(-i)384 b Fu(The)30 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i(p)s
+(ending)e(signals.)630 904 y Ft(-k)384 b Fu(The)30 b(maxim)m(um)g(n)m
 (um)m(b)s(er)f(of)i(kqueues)f(that)h(ma)m(y)g(b)s(e)e(allo)s(cated.)630
-1082 y Ft(-l)384 b Fu(The)30 b(maxim)m(um)g(size)h(that)g(ma)m(y)g(b)s
-(e)f(lo)s(c)m(k)m(ed)i(in)m(to)f(memory)-8 b(.)630 1238
+1055 y Ft(-l)384 b Fu(The)30 b(maxim)m(um)g(size)h(that)g(ma)m(y)g(b)s
+(e)f(lo)s(c)m(k)m(ed)i(in)m(to)f(memory)-8 b(.)630 1206
 y Ft(-m)384 b Fu(The)36 b(maxim)m(um)g(residen)m(t)h(set)g(size)g
-(\(man)m(y)g(systems)f(do)h(not)f(honor)g(this)1110 1348
-y(limit\).)630 1505 y Ft(-n)384 b Fu(The)38 b(maxim)m(um)h(n)m(um)m(b)s
+(\(man)m(y)g(systems)f(do)h(not)f(honor)g(this)1110 1316
+y(limit\).)630 1467 y Ft(-n)384 b Fu(The)38 b(maxim)m(um)h(n)m(um)m(b)s
 (er)e(of)i(op)s(en)f(\014le)h(descriptors)g(\(most)g(systems)g(do)1110
-1614 y(not)31 b(allo)m(w)g(this)g(v)-5 b(alue)31 b(to)g(b)s(e)e(set\).)
-630 1771 y Ft(-p)384 b Fu(The)30 b(pip)s(e)f(bu\013er)h(size.)630
-1927 y Ft(-q)384 b Fu(The)30 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i(b)m
-(ytes)g(in)f(POSIX)f(message)j(queues.)630 2084 y Ft(-r)384
+1577 y(not)31 b(allo)m(w)g(this)g(v)-5 b(alue)31 b(to)g(b)s(e)e(set\).)
+630 1728 y Ft(-p)384 b Fu(The)30 b(pip)s(e)f(bu\013er)h(size.)630
+1879 y Ft(-q)384 b Fu(The)30 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i(b)m
+(ytes)g(in)f(POSIX)f(message)j(queues.)630 2031 y Ft(-r)384
 b Fu(The)30 b(maxim)m(um)g(real-time)i(sc)m(heduling)f(priorit)m(y)-8
-b(.)630 2241 y Ft(-s)384 b Fu(The)30 b(maxim)m(um)g(stac)m(k)i(size.)
-630 2397 y Ft(-t)384 b Fu(The)30 b(maxim)m(um)g(amoun)m(t)h(of)f(cpu)g
-(time)h(in)f(seconds.)630 2554 y Ft(-u)384 b Fu(The)30
+b(.)630 2182 y Ft(-s)384 b Fu(The)30 b(maxim)m(um)g(stac)m(k)i(size.)
+630 2333 y Ft(-t)384 b Fu(The)30 b(maxim)m(um)g(amoun)m(t)h(of)f(cpu)g
+(time)h(in)f(seconds.)630 2484 y Ft(-u)384 b Fu(The)30
 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i(pro)s(cesses)f(a)m(v)-5
-b(ailable)33 b(to)e(a)f(single)i(user.)630 2710 y Ft(-v)384
+b(ailable)33 b(to)e(a)f(single)i(user.)630 2636 y Ft(-v)384
 b Fu(The)41 b(maxim)m(um)h(amoun)m(t)g(of)h(virtual)f(memory)g(a)m(v)-5
-b(ailable)44 b(to)e(the)g(shell,)1110 2820 y(and,)30
+b(ailable)44 b(to)e(the)g(shell,)1110 2745 y(and,)30
 b(on)g(some)h(systems,)g(to)g(its)g(c)m(hildren.)630
-2977 y Ft(-x)384 b Fu(The)30 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i
-(\014le)f(lo)s(c)m(ks.)630 3133 y Ft(-P)384 b Fu(The)30
+2896 y Ft(-x)384 b Fu(The)30 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i
+(\014le)f(lo)s(c)m(ks.)630 3048 y Ft(-P)384 b Fu(The)30
 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i(pseudoterminals.)630
-3290 y Ft(-T)384 b Fu(The)30 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i
-(threads.)630 3446 y(If)36 b Fr(limit)k Fu(is)c(giv)m(en,)k(and)c(the)h
+3199 y Ft(-T)384 b Fu(The)30 b(maxim)m(um)g(n)m(um)m(b)s(er)f(of)i
+(threads.)630 3350 y(If)36 b Fr(limit)k Fu(is)c(giv)m(en,)k(and)c(the)h
 Ft(-a)f Fu(option)h(is)f(not)h(used,)h Fr(limit)h Fu(is)e(the)g(new)f
-(v)-5 b(alue)37 b(of)g(the)630 3556 y(sp)s(eci\014ed)c(resource.)51
+(v)-5 b(alue)37 b(of)g(the)630 3460 y(sp)s(eci\014ed)c(resource.)51
 b(The)34 b(sp)s(ecial)g Fr(limit)j Fu(v)-5 b(alues)34
 b Ft(hard)p Fu(,)g Ft(soft)p Fu(,)g(and)f Ft(unlimited)e
-Fu(stand)630 3665 y(for)h(the)g(curren)m(t)g(hard)f(limit,)i(the)g
+Fu(stand)630 3569 y(for)h(the)g(curren)m(t)g(hard)f(limit,)i(the)g
 (curren)m(t)f(soft)g(limit,)h(and)f(no)g(limit,)h(resp)s(ectiv)m(ely)-8
-b(.)48 b(A)630 3775 y(hard)37 b(limit)h(cannot)h(b)s(e)e(increased)h(b)
+b(.)48 b(A)630 3679 y(hard)37 b(limit)h(cannot)h(b)s(e)e(increased)h(b)
 m(y)f(a)h(non-ro)s(ot)g(user)f(once)i(it)f(is)g(set;)k(a)c(soft)g
-(limit)630 3885 y(ma)m(y)j(b)s(e)e(increased)i(up)e(to)h(the)h(v)-5
+(limit)630 3788 y(ma)m(y)j(b)s(e)e(increased)i(up)e(to)h(the)h(v)-5
 b(alue)40 b(of)g(the)h(hard)e(limit.)70 b(Otherwise,)43
-b(the)d(curren)m(t)630 3994 y(v)-5 b(alue)29 b(of)h(the)f(soft)g(limit)
+b(the)d(curren)m(t)630 3898 y(v)-5 b(alue)29 b(of)h(the)f(soft)g(limit)
 h(for)e(the)h(sp)s(eci\014ed)g(resource)g(is)g(prin)m(ted,)g(unless)f
-(the)h Ft(-H)f Fu(option)630 4104 y(is)h(supplied.)39
+(the)h Ft(-H)f Fu(option)630 4008 y(is)h(supplied.)39
 b(When)29 b(setting)h(new)f(limits,)h(if)f(neither)g
 Ft(-H)g Fu(nor)f Ft(-S)h Fu(is)g(supplied,)f(b)s(oth)h(the)630
-4213 y(hard)i(and)h(soft)h(limits)g(are)f(set.)48 b(If)31
+4117 y(hard)i(and)h(soft)h(limits)g(are)f(set.)48 b(If)31
 b(no)i(option)f(is)h(giv)m(en,)h(then)e Ft(-f)g Fu(is)g(assumed.)46
-b(V)-8 b(alues)630 4323 y(are)38 b(in)g(1024-b)m(yte)i(incremen)m(ts,)g
-(except)f(for)f Ft(-t)p Fu(,)h(whic)m(h)e(is)h(in)g(seconds;)j
-Ft(-p)p Fu(,)e(whic)m(h)f(is)630 4433 y(in)32 b(units)f(of)h(512-b)m
-(yte)j(blo)s(c)m(ks;)e(and)f Ft(-P)p Fu(,)g Ft(-T)p Fu(,)g
-Ft(-b)p Fu(,)g Ft(-k)p Fu(,)g Ft(-n)f Fu(and)h Ft(-u)p
-Fu(,)g(whic)m(h)g(are)g(unscaled)630 4542 y(v)-5 b(alues.)630
-4675 y(The)34 b(return)g(status)h(is)f(zero)i(unless)e(an)g(in)m(v)-5
+b(V)-8 b(alues)630 4227 y(are)31 b(in)f(1024-b)m(yte)j(incremen)m(ts,)e
+(except)g(for)f Ft(-t)p Fu(,)g(whic)m(h)g(is)g(in)g(seconds;)h
+Ft(-p)p Fu(,)f(whic)m(h)g(is)g(in)630 4336 y(units)h(of)g(512-b)m(yte)j
+(blo)s(c)m(ks;)e Ft(-P)p Fu(,)f Ft(-T)p Fu(,)h Ft(-b)p
+Fu(,)f Ft(-k)p Fu(,)g Ft(-n)g Fu(and)f Ft(-u)p Fu(,)h(whic)m(h)h(are)f
+(unscaled)g(v)-5 b(alues;)630 4446 y(and,)31 b(when)f(in)g
+Fm(posix)g Fu(Mo)s(de)h(\(see)h(Section)g(6.11)g([Bash)g(POSIX)e(Mo)s
+(de],)h(page)h(94\),)h Ft(-c)630 4556 y Fu(and)d Ft(-f)p
+Fu(,)g(whic)m(h)g(are)h(in)f(512-b)m(yte)i(incremen)m(ts.)630
+4686 y(The)i(return)g(status)h(is)f(zero)i(unless)e(an)g(in)m(v)-5
 b(alid)36 b(option)f(or)f(argumen)m(t)i(is)e(supplied,)h(or)630
-4785 y(an)30 b(error)g(o)s(ccurs)g(while)h(setting)g(a)g(new)f(limit.)
-150 4941 y Ft(unalias)870 5075 y(unalias)46 b([-a])g([)p
+4796 y(an)30 b(error)g(o)s(ccurs)g(while)h(setting)g(a)g(new)f(limit.)
+150 4947 y Ft(unalias)870 5077 y(unalias)46 b([-a])g([)p
 Fj(name)h Ft(...)g(])630 5208 y Fu(Remo)m(v)m(e)42 b(eac)m(h)f
 Fr(name)k Fu(from)39 b(the)i(list)f(of)g(aliases.)71
 b(If)40 b Ft(-a)f Fu(is)h(supplied,)h(all)g(aliases)h(are)630
